package com.yidianling.course.coursePlay

import com.yidianling.course.bean.CourseExtraBean
import com.yidianling.course.bean.CourseMediaBean
import java.util.*


/**
 * 音视频播放器view基类接口
 * Created by hgw on 2018/4/3.
 */
interface PlayViewInterface {

    fun onPause()

    fun onResume()

    fun onDestroy()

    //from 1表示通知栏进来，2表示悬浮按钮进来  index:播放下标
    fun setData(
        index: Int,
        list: ArrayList<CourseMediaBean>,
        courseExtra: CourseExtraBean,
        from: Int,
        isAutoPlay: Boolean = true
    )

    fun onNewIntent()

}